# QCA::RSAContext Class Reference
[QCA provider API]

RSA provider. More...

`#include <QtCrypto>`

Inheritance diagram for QCA::RSAContext:

Collaboration diagram for QCA::RSAContext:

[legend]

List of all members.

## Public Member Functions

virtual void | createPrivate (const BigInteger &n, const BigInteger &e, const BigInteger &p, const BigInteger &q, const BigInteger &d)=0
virtual void | createPrivate (int bits, int exp, bool block)=0
virtual void | createPublic (const BigInteger &n, const BigInteger &e)=0
virtual BigInteger | d () const =0
virtual BigInteger | e () const =0
virtual BigInteger | n () const =0
virtual BigInteger | p () const =0
virtual BigInteger | q () const =0
| RSAContext (Provider *p)

## Detailed Description

RSA provider.

Note:
  This class is part of the provider plugin interface and should not be used directly by applications. You probably want RSAPublicKey or RSAPrivateKey instead.

## Constructor & Destructor Documentation

QCA::RSAContext::RSAContext | ( | Provider * | p | ) | `[inline]`

Standard constructor.

Parameters:

  | p | the provider associated with this context

## Member Function Documentation

virtual void QCA::RSAContext::createPrivate | ( | const BigInteger & | n,
|  | const BigInteger & | e,
|  | const BigInteger & | p,
|  | const BigInteger & | q,
|  | const BigInteger & | d |
| ) |  |  | `[pure virtual]`

Create an RSA private key based on the five components.

Parameters:

  | n | the N parameter
  | e | the public exponent
  | p | the P parameter
  | q | the Q parameter
  | d | the D parameter

virtual void QCA::RSAContext::createPrivate | ( | int | bits,
|  | int | exp,
|  | bool | block |
| ) |  |  | `[pure virtual]`

Generate an RSA private key.

If block is true, then this function blocks until completion. Otherwise, this function returns immediately and finished() is emitted when the operation completes.

If an error occurs during generation, then the operation will complete and isNull() will return true.

Parameters:

  | bits | the length of the key to generate, in bits
  | exp | the exponent to use for generation
  | block | whether to use blocking mode

virtual void QCA::RSAContext::createPublic | ( | const BigInteger & | n,
|  | const BigInteger & | e |
| ) |  |  | `[pure virtual]`

Create an RSA public key based on the two public components.

Parameters:

  | n | the N parameter
  | e | the public exponent

virtual BigInteger QCA::RSAContext::d | ( |  | ) | const`[pure virtual]`

Returns the private D component of this RSA key.

virtual BigInteger QCA::RSAContext::e | ( |  | ) | const`[pure virtual]`

Returns the public E component of this RSA key.

virtual BigInteger QCA::RSAContext::n | ( |  | ) | const`[pure virtual]`

Returns the public N component of this RSA key.

virtual BigInteger QCA::RSAContext::p | ( |  | ) | const`[pure virtual]`

Returns the private P component of this RSA key.

virtual BigInteger QCA::RSAContext::q | ( |  | ) | const`[pure virtual]`

Returns the private Q component of this RSA key.

The documentation for this class was generated from the following file:

- qcaprovider.h